Package org.bgerp.dao.param

# Class ParamDAO

java.lang.Object
ru.bgcrm.dao.CommonDAO
org.bgerp.dao.param.ParamDAO

Direct Known Subclasses:
  `ParamDAO`

public class ParamDAO extends CommonDAO

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bgcrm.dao.CommonDAO

  `CommonDAO.ObjectExtractor<T>, CommonDAO.RecordUpdater<T extends Id>`

- ## Field Summary

  ### Fields inherited from class ru.bgcrm.dao.CommonDAO

  `con, log, SQL_AND, SQL_DELETE, SQL_DELETE_FROM, SQL_DESC, SQL_DISTINCT, SQL_FROM, SQL_GROUP_BY, SQL_INNER_JOIN, SQL_INSERT_IGNORE_INTO, SQL_INSERT_INTO, SQL_LEFT_JOIN, SQL_LIMIT, SQL_ON_DUP_KEY_UPDATE, SQL_ORDER_BY, SQL_REPLACE, SQL_SELECT, SQL_SELECT_ALL_FROM, SQL_SELECT_COUNT_ROWS, SQL_SET, SQL_UNION_ALL, SQL_UPDATE, SQL_VALUES, SQL_VALUES_1, SQL_VALUES_2, SQL_VALUES_3, SQL_VALUES_4, SQL_VALUES_5, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParamDAO(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteParameter(int id)`
  `Map<Integer,List<IdTitle>>`
  `getListParamValuesMap()`
  `Parameter`
  `getParameter(int id)`
  `Map<Integer,Set<Integer>>`
  `getParameterIdsByGroupIds()`
  `List<Parameter>`
  `getParameterList(String objectType, int paramGroupId)`
  `List<Parameter>`
  `getParameterList(String objectType, int paramGroupId, Set<Integer> parameterIdList)`
  `void`
  `getParameterList(Pageable<Parameter> searchResult, String objectType, String filter, int paramGroupId, Set<Integer> parameterIdList)`
  Deprecated.
  `Map<String,List<Parameter>>`
  `getParameterMapByObjectType()`
  `Map<Integer,IdStringTitleTreeItem>`
  `getTreeParamRootNodes()`
  `void`
  `searchParameter(Pageable<Parameter> result, String objectType, String filter, int paramGroupId, Set<Integer> parameterIds)`
  `void`
  `updateParameter(Parameter parameter)`

  ### Methods inherited from class ru.bgcrm.dao.CommonDAO

  `deleteById, foundRows, getById, getGroupedIds, getGroupedIds, getIds, getIds, getPageLimit, getPeriodSql, lastInsertId, setPeriodParamValue, setRecordCount, update, updateColumn, updateIds, updateIds, updateOrInsert`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParamDAO

    public ParamDAO(Connection con)

- ## Method Details

  - ### getParameter

    public Parameter getParameter(int id) throws SQLException
    Throws:
      `SQLException`

  - ### getTreeParamRootNodes

    public Map<Integer,IdStringTitleTreeItem> getTreeParamRootNodes() throws SQLException
    Throws:
      `SQLException`

  - ### updateParameter

    public void updateParameter(Parameter parameter) throws SQLException
    Throws:
      `SQLException`

  - ### deleteParameter

    public void deleteParameter(int id)

  - ### getParameterMapByObjectType

    public Map<String,List<Parameter>> getParameterMapByObjectType() throws SQLException
    Throws:
      `SQLException`

  - ### getParameterIdsByGroupIds

    public Map<Integer,Set<Integer>> getParameterIdsByGroupIds() throws SQLException
    Throws:
      `SQLException`

  - ### getListParamValuesMap

    public Map<Integer,List<IdTitle>> getListParamValuesMap() throws SQLException
    Throws:
      `SQLException`

  - ### searchParameter

    public void searchParameter(Pageable<Parameter> result, String objectType, String filter, int paramGroupId, Set<Integer> parameterIds) throws SQLException
    Throws:
      `SQLException`

  - ### getParameterList

    public List<Parameter> getParameterList(String objectType, int paramGroupId) throws SQLException
    Throws:
      `SQLException`

  - ### getParameterList

    public List<Parameter> getParameterList(String objectType, int paramGroupId, Set<Integer> parameterIdList) throws SQLException
    Throws:
      `SQLException`

  - ### getParameterList

    @Deprecated public void getParameterList(Pageable<Parameter> searchResult, String objectType, String filter, int paramGroupId, Set<Integer> parameterIdList) throws SQLException
    Deprecated.
    Throws:
      `SQLException`